Subject: Re: [PATCH] test-lib-functions: fix test_subcommand_inexact

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Mar 2022 09:38:57 -0700

Derrick Stolee <[email-masked]> writes:

> The full post-condition check requires more test code, but that's not
> really a problem. The problem comes in if that test is now too rigid
> to future changes in that subcommand. What if the post-conditions
> change in a subtle way because of the subcommand does something
> differently, but in a way that is not of importance to the top
> command?
>
> In this specific case, the test name says that it "packs non-kept
> objects", so we can do more here to validate that post-condition
> that we care about.

Thanks for clearly laying out the way to think about the issue.  I
agree with all of it, of course ;-)